/*
    lib/comedi.c
    comedi library routines

    COMEDI - Linux Control and Measurement Device Interface
    Copyright (C) 1997-8 David A. Schleef <ds@stm.lbl.gov>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <sys/ioctl.h>
#include <errno.h>
#include <comedi.h>
#include <string.h>

#define inline 

#include <comedilib.h>

unsigned int comedi_version_code=COMEDI_VERSION_CODE;

#if 0

int comedi_put(int fd,int chan,int data)
{
	comedi_trig it;

	it.chan=chan;
	it.io=COMEDI_IO_OUTPUT;
	it.n=0;
	it.trigsrc=COMEDI_TRIGNOW;
	it.data=data;

	return ioctl(fd,COMEDI_TRIG,&it);
}

int comedi_masked_put(int fd,int chan,int mask,int data)
{
	comedi_trig it;

	it.chan=chan;
	it.io=COMEDI_IO_OUTPUT;
	it.n=mask;
	it.trigsrc=COMEDI_TRIGNOW;
	it.data=data;

	return ioctl(fd,COMEDI_TRIG,&it);
}
	
int comedi_get(int fd,int chan,int *data)
{
	comedi_trig it;
	int ret;
	
	it.chan=chan;
	it.io=COMEDI_IO_INPUT;
	it.n=1;
	it.trigsrc=COMEDI_TRIGNOW;

	ret=ioctl(fd,COMEDI_TRIG,&it);

	*data=it.data;
	
	return ret;
}

int comedi_getparam(int fd,int chan,int pnum,int *flags,int *pval)
{
	comedi_param it;
	int ret;
	
	it.chan=chan;
	it.pnum=pnum;
	ret=ioctl(fd,COMEDI_GETPARAM,&it);
	*flags=it.flags;
	*pval=it.pval;
	
	return ret;
}

int comedi_setparam(int fd,int chan,int pnum,int pval)
{
	comedi_param it;
	int ret;

	it.chan=chan;
	it.pnum=pnum;
	it.pval=pval;
	ret=ioctl(fd,COMEDI_SETPARAM,&it);
	
	return ret;
}

int comedi_getinfo(int fd,comedi_info *it)
{
	int ret;

	ret=ioctl(fd,COMEDI_GETINFO,it);

	return ret;
}

/*
int comedi_init(char *s)
{
	return open(s,O_RDWR);
}

void comedi_reset(int fd)
{
	ioctl(fd,COMEDI_RESET,0);
}
*/

/*
int comedi_memcpy_to(int fd,void *src,int dest,int size)
{
	comedi_copy it;

	it.src=(int)src;
	it.dest=dest;
	it.nbytes=size;

	return ioctl(fd,COMEDI_COPY_TO,&it);
}

int comedi_memset(int fd,int dest,int size,int val)
{
	comedi_copy it;

	it.src=val;
	it.dest=dest;
	it.nbytes=size;

	return ioctl(fd,COMEDI_MEMSET,&it);
}


int comedi_memcpy_from(int fd,int src,void *dest,int size)
{
	comedi_copy it;

	it.src=src;
	it.dest=(int)dest;
	it.nbytes=size;

	return ioctl(fd,COMEDI_COPY_FROM,&it);
}
*/

/*
int comedi_exec(int fd,int pc)
{
	return ioctl(fd,COMEDI_EXEC,pc);
}
*/

#endif

